## locust 1.4.3

=== Makefile ===
coverage:
	coverage run -m unittest discover

test:
	tox

build:
	rm -f dist/* && python3 setup.py sdist bdist_wheel

release: build
	twine upload dist/*

build_docs:
	sphinx-build -b html docs/ docs/_build/

changelog:
	python3 generate_changelog.py

sass_watch:
	sass --watch locust/static/sass:locust/static/css

sass_build:
	sass --update locust/static/sass:locust/static/css

=== docs/requirements.txt ===
sphinx==3.0.4
sphinx-rtd-theme==0.4.3
-e git+https://github.com/readthedocs/readthedocs-sphinx-search#egg=readthedocs-sphinx-search

=== debian/changelog ===
locust (1.4.3-3) unstable; urgency=medium

  * debian/rules
    - make the build reproducible by removing .pyc files from examples; patch by
      Chris Lamb; Closes: #1001227

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Dec 2021 01:35:07 -0500

locust (1.4.3-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Dec 2021 00:53:06 -0500

locust (1.4.3-1) unstable; urgency=low

  * Initial release; Closes: #982508

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Feb 2021 03:33:38 -0500

=== debian/control ===
Source: locust
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-configargparse (>= 1.0) <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-flask-basicauth (>= 0.2.0) <!nocheck>,
               python3-geventhttpclient (>= 1.4.4) <!nocheck>,
               python3-mock <!nocheck>,
               python3-msgpack (>= 0.6.2) <!nocheck>,
               python3-psutil (>= 5.6.7) <!nocheck>,
               python3-pyquery <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests (>= 2.9.1) <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-zmq (>= 16.0.2) <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://locust.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/locust.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/locust

Package: python3-locust
Provides: locust,
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Developer friendly load testing framework
 Locust is an easy to use, scriptable and scalable performance testing tool. You
 define the behaviour of your users in regular Python code, instead of using a
 clunky UI or domain specific language. This makes Locust infinitely expandable
 and very developer friendly.
 .
 Features:
 .
  * Write user test scenarios in plain-old Python -- If you want your users to
    loop, perform some conditional behaviour or do some calculations, you just
    use the regular programming constructs provided by Python. Locust runs every
    user inside its own greenlet (a lightweight process/coroutine). This enables
    you to write your tests like normal (blocking) Python code instead of having
    to use callbacks or some other mechanism. Because your scenarios are “just
    python” you can use your regular IDE, and version control your tests as
    regular code (as opposed to some other tools that use XML or binary
    formats).
  * Distributed & Scalable - supports hundreds of thousands of users -- Locust
    makes it easy to run load tests distributed over multiple machines. It is
    event-based (using gevent), which makes it possible for a single process to
    handle many thousands concurrent users. While there may be other tools that
    are capable of doing more requests per second on a given hardware, the low
    overhead of each Locust user makes it very suitable for testing highly
    concurrent workloads.
  * Web-based UI -- Locust has a user friendly web interface that shows the
    progress of your test in real-time. You can even change the load while the
    test is running. It can also be run without the UI, making it easy to use
    for CI/CD testing.
  * Can test any system -- Even though Locust primarily works with web
    sites/services, it can be used to test almost any system or protocol. Just
    write a client for what you want to test, or explore some created by the
    community.

Package: python-locust-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Developer friendly load testing framework (documentation)
 Locust is an easy to use, scriptable and scalable performance testing tool. You
 define the behaviour of your users in regular Python code, instead of using a
 clunky UI or domain specific language. This makes Locust infinitely expandable
 and very developer friendly.
 .
 This package contains the documentation for python3-locust .

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=locust
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -ppython-locust-doc $(CURDIR)/.pybuild/docs/html/

override_dh_auto_test:
	-PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} -m pytest -v" dh_auto_test

override_dh_installexamples:
	dh_installexamples -X.pyc

=== debian/watch ===
# try also https://pypi.debian.net/locust/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/locust/locust-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## locust 2.12.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	sphinx-build -b html docs/ docs/_build/
 
 changelog:
-	python3 generate_changelog.py
+	@echo "Not supported any more. Run ./generate_changelog.py <version_number> instead!"
 
 sass_watch:
 	sass --watch locust/static/sass:locust/static/css

=== docs/requirements.txt ===
sphinx==4.1.2
sphinx-rtd-theme==0.5.2
readthedocs-sphinx-search==0.1.0
Sphinx-Substitution-Extensions==2020.9.30.0

=== debian/changelog ===
locust (2.12.1-1) unstable; urgency=medium

  * New upstream release; Closes: #1020842
  * debian/watch
    - track github tags rather than PyPI releases
  * debian/rules
    - feed the debian version to setuptools-scm
    - remove _version.py in clean target, as generated by setuptools-scm
    - setup the version file before building the documentation
    - exclude examples/test_data_management.py from pytest, network access
    - create the locust version file before build, so it's available for test
      and gets installed too
    - adjust how we run tests: disable fake http(s)_proxy, set PATH to use
      `debian/locust`, exclude TestMasterWorkerRunners
  * refresh patches
  * debian/control
    - tests b-d: bump geventhttpclient to >= 2.0.8
    - doc b-d: add typing-extensions, add flask-cors, add sphinx-prompt
    - bump b-d on pyquery to >= 1.4.3
    - add retry, roundrobing and typing-extensions to b-d, needed by tests
    - bump Standard-Versions to 4.6.2.0 (no changes needed)
    - build using pybuild-plugin-pyproject
  * stop building the -doc package
  * debian/locust
    - add a straightforward binary needed to pretend it's `/usr/bin/locust`
      during tests
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Dec 2022 01:00:17 -0500

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,25 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-configargparse (>= 1.0) <!nocheck>,
                python3-cryptography <!nocheck>,
                python3-flask-basicauth (>= 0.2.0) <!nocheck>,
-               python3-geventhttpclient (>= 1.4.4) <!nocheck>,
+               python3-flask-cors <!nocheck>,
+               python3-geventhttpclient (>= 2.0.8) <!nocheck>,
                python3-mock <!nocheck>,
                python3-msgpack (>= 0.6.2) <!nocheck>,
                python3-psutil (>= 5.6.7) <!nocheck>,
-               python3-pyquery <!nocheck>,
+               python3-pyquery (>= 1.4.3) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests (>= 2.9.1) <!nocheck>,
+               python3-retry <!nocheck>,
+               python3-roundrobin <!nocheck>,
                python3-setuptools,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
+               python3-typing-extensions <!nocheck>,
                python3-zmq (>= 16.0.2) <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2.0
 Homepage: https://locust.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/locust.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/locust
@@ -64,16 +66,3 @@
     sites/services, it can be used to test almost any system or protocol. Just
     write a client for what you want to test, or explore some created by the
     community.
-
-Package: python-locust-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-Description: Developer friendly load testing framework (documentation)
- Locust is an easy to use, scriptable and scalable performance testing tool. You
- define the behaviour of your users in regular Python code, instead of using a
- clunky UI or domain specific language. This makes Locust infinitely expandable
- and very developer friendly.
- .
- This package contains the documentation for python3-locust .

## locust 2.24.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-coverage:
-	coverage run -m unittest discover
-
 test:
 	tox
 
 build:
-	rm -f dist/* && python3 setup.py sdist bdist_wheel
+	rm -f dist/* && python3 -m pip install --upgrade build && python3 -m build .
+
+frontend_build:
+	yarn webui:install && yarn webui:build
 
 release: build
 	twine upload dist/*

=== docs/requirements.txt ===
sphinx==4.3.2
sphinx-rtd-theme==0.5.2
readthedocs-sphinx-search==0.3.2
Sphinx-Substitution-Extensions==2020.9.30.0
Pygments==2.16.1
alabaster==0.7.13
babel==2.13.0
docutils==0.16
imagesize==1.4.1
snowballstemmer==2.2.0
sphinx-prompt==1.5.0
sphinxcontrib-applehelp==1.0.4
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5

=== debian/changelog ===
locust (2.24.0-1ubuntu1) oracular; urgency=medium

  * Add dependency on python3-charset-normalizer to fix crash. (LP: #2068036) 

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 06 Jul 2024 11:27:33 +0100

locust (2.24.0-1) unstable; urgency=medium

  * New upstream release
  * drop patches, no longer needed
  * debian/control
    - replace flask-basicauth with flask-login
    - bump versioned b-d on configargparse to >= 1.5.5

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Mar 2024 00:41:31 -0400

locust (2.12.1-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 13:55:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: locust
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
-               python3-configargparse (>= 1.0) <!nocheck>,
+               python3-configargparse (>= 1.5.5) <!nocheck>,
                python3-cryptography <!nocheck>,
-               python3-flask-basicauth (>= 0.2.0) <!nocheck>,
                python3-flask-cors <!nocheck>,
+               python3-flask-login (>= 0.6.3) <!nocheck>,
                python3-geventhttpclient (>= 2.0.8) <!nocheck>,
-               python3-mock <!nocheck>,
                python3-msgpack (>= 0.6.2) <!nocheck>,
                python3-psutil (>= 5.6.7) <!nocheck>,
                python3-pyquery (>= 1.4.3) <!nocheck>,
@@ -22,16 +21,18 @@
                python3-setuptools,
                python3-typing-extensions <!nocheck>,
                python3-zmq (>= 16.0.2) <!nocheck>,
+               python3-charset-normalizer <!nocheck>,
 Standards-Version: 4.6.2.0
 Homepage: https://locust.io/
-Vcs-Git: https://salsa.debian.org/python-team/packages/locust.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/locust
+Vcs-Git: https://salsa.debian.org/morph/locust.git
+Vcs-Browser: https://salsa.debian.org/morph/locust
 
 Package: python3-locust
 Provides: locust,
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-charset-normalizer,
 Recommends: ${python3:Recommends},
 Suggests: ${python3:Suggests},
 Description: Developer friendly load testing framework

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=locust
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	echo "version = '$(DEV_VERSION_UPSTREAM)'" > locust/_version.py

override_dh_auto_test:
	# examples/test_data_management.py - attempted network access during pytest collection phase
	# TestMasterWorkerRunners times out after a long time
	-http_proxy= https_proxy= PATH=$(PATH):$(CURDIR)/debian PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} -m pytest -v --ignore=examples/test_data_management.py -k 'not TestMasterWorkerRunners'" dh_auto_test

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_clean:
	rm -f locust/_version.py
	dh_clean
